package org.objectweb.jonas.jtests.beans.ejbql;

import java.util.Collection;

import javax.ejb.FinderException;


// Cruise EJB's local home interface
public interface CruiseHomeLocal extends javax.ejb.EJBLocalHome {

    public CruiseLocal create(String name, Integer ship)
	throws javax.ejb.CreateException;

    public CruiseLocal findByPrimaryKey(Object primaryKey)
	throws javax.ejb.FinderException;

    public Collection findAllCruises() 
	throws FinderException;

    public CruiseLocal findByName(String name)
	throws FinderException;
}
